# UIFieldEditor

An editor component that lets the user edit text fields on a node.

**See**: [UIDatetimeFieldEditor](https://github.com/Infomaker/naviga-writer-docs/blob/master/api-reference/uicomponents/UIDatetimeFieldEditor/README.md) for datetime editing\
**Since**: 6.0.0 (3.2.0)

| Name              | Type                         | Default | Description                                                |
| ----------------- | ---------------------------- | ------- | ---------------------------------------------------------- |
| field             | `string` \| `Array.<string>` |         | **Required** - Name of, or path to, the node field to edit |
| node              | `Node`                       |         | **Required** - The node                                    |
| placeholder       | `string`                     |         | **Required** - Placeholder of the field                    |
| multiline         | `boolean`                    | `false` | If set to true enables multine support for field           |
| disabled          | `boolean`                    | `false` | Set to true to disable field                               |
| icon              | `string`                     |         | Icon to display with the field                             |
| enableAnnotations | `boolean`                    | `false` | If annotations should be enabled for the field             |

### Example

```js
import {UIFieldEditor} from 'writer'

render($$) {
    const el = $$('div')
    return el.append(
        $$(UIFieldEditor, {
            node: this.props.node,
            multiLine: false,
            field: 'title',
            placeholder: this.getLabel('Add title here')
        })
    )
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/writer/api-reference/uicomponents/uifieldeditor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
